<div class="col-lg-12 animated fadeInRight">
    <div class="wrapper wrapper-content animated fadeInRight">
        <div class="row">
            <div class="col-lg-12">
                <div class="ibox float-e-margins">
                    <div class="ibox-title">
                        <h3>
                            <strong>Manage Zones</strong>
                        </h3>
                        <div class="fm-row float2">
                            <div class="text-right">
                                <div class="col-md-12 text-right">
                                    <ng-container *ngIf="aclAdd">
                                        <button type="submit" class="btn btn-primary btn-sm green"
                                            [routerLink]="['/admin/administration/zones/zonelist/add']">
                                            Add new zone <i aria-hidden="true" class="fa fa-plus"></i>
                                        </button>
                                        <button type="submit" class="btn btn-primary btn-sm green"
                                        [routerLink]="['/admin/administration/zones/zonelist/multiple']">
                                        Add multiple zones <i aria-hidden="true" class="fa fa-plus"></i>
                                    </button>
                                    </ng-container>
                                </div>
                            </div>
                        </div>
                        <div class="ibox-content">
                            <div class="table-responsive">
                                <table aria-describedby="Manage Zones" class="table table-striped table-bordered table-responsive">
                                    <thead>
                                        <tr>
                                            <th scope="col">Zone Name</th>
                                            <th scope="col">Allow PIN booking</th>
                                            <th scope="col">Time</th>
                                            <th scope="col" *ngIf="aclEdit || aclDelete">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <span *ngIf="showLoader">
                                            <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                                        </span>
                                        <tr *ngFor="let zone of zones">
                                            <td>{{zone.name}}</td>
                                            <td *ngIf="zone.pin_zone">{{zone.pin_zone}}</td>
                                            <td *ngIf="!zone.pin_zone">false</td>
                                            <td>{{zone.created_at}}</td>
                                            <td *ngIf="aclEdit || aclDelete">
                                                <span *ngIf="aclEdit" matTooltip="Edit">
                                                    <a
                                                        [routerLink]="['/admin/administration/zones/zonelist/edit', zone._id]"><i aria-hidden="true"
                                                            class="fa fa-eye" aria-hidden="true"
                                                           ></i></a>&nbsp;&nbsp;&nbsp;
                                                </span>
                                                <span *ngIf="aclDelete" matTooltip="Delete">
                                                    <a (click)="deleteZone(zone._id)"><i aria-hidden="true"
                                                            class="fa fa-trash text-navy"></i></a>
                                                </span>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <br>


                            <div class="container-fluid" *ngIf="zoneLength>0">
                                <div class="row col-md-12 text-center">
                                    <div class="dataTables_info1">

                                        <div>
                                            <ngb-pagination [collectionSize]="zoneLength"
                                                (pageChange)="pagingAgent($event)" [page]="1" [pageSize]="pageSize"
                                                aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true">
                                            </ngb-pagination>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="container-fluid" *ngIf="zoneLength==0">
                                <div class="row">
                                    <div class="dataTables_info1">
                                        <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                                            No records found.
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>